/*
 Product Bルート申込受付システム
 (C) YONDEN T&D CO., LTD. All rights reserved.
*/
@charset "UTF-8";

/* 
   Display
*/
.flex {
  display: flex;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-nowrap {
  flex-wrap: nowrap;
}

.flex-row-nowrap {
  display: flex;
  flex-direction: row;
  align-items: center;
  white-space: nowrap;
}

.grid-row-3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.display-block {
  display: block;
}

.display-contents {
  display: contents;
}

.none {
  display: none;
}

.click-none {
  pointer-events: none;
}

/*
   Justify Content
*/
.justify-start {
  justify-content: flex-start;
}

.justify-center {
  justify-content: center;
}

.justify-end {
  justify-content: flex-end;
}

.justify-between {
  justify-content: space-between;
}

.justify-evenly {
  justify-content: space-evenly;
}

.justify-around {
  justify-content: space-around;
}

/* 
   Align Items
*/
.align-start {
  align-items: flex-start;
}

.align-center {
  align-items: center;
}

.align-end {
  align-items: flex-end;
}

/* 
   Gap
*/
.gap-ss {
  gap: var(--gap-xs);
}

.gap-sm {
  gap: var(--gap-sm);
}

.gap-rem-1 {
  gap: 1rem;
}

/* 
   Width（%）
*/
.w-fit {
  width: fit-content;
}

.w-5 {
  width: 5%;
}

.w-10 {
  width: 10%;
}

.w-15 {
  width: 15%;
}

.w-20 {
  width: 20%;
}

.w-25 {
  width: 25%;
}

.w-30 {
  width: 30%;
}

.w-35 {
  width: 35%;
}

.w-40 {
  width: 40%;
}

.w-45 {
  width: 45%;
}

.w-50 {
  width: 50%;
}

.w-60 {
  width: 60%;
}

.w-70 {
  width: 70%;
}

.w-80 {
  width: 80%;
}

.w-100 {
  width: 100%;
}

.w-100-px-rem-1 {
  width: calc(100% - 2rem);
  padding-left: 1rem;
  padding-right: 1rem;
}

.w-per-max100 {
  max-width: 100%;
}

/* 
   Width（px）
*/
.w-px-5 {
  width: 5px;
}

.w-px-10 {
  width: 10px;
}

.w-px-15 {
  width: 15px;
}

.w-px-20 {
  width: 20px;
}

.w-px-25 {
  width: 25px;
}

.w-px-30 {
  width: 30px;
}

.w-px-35 {
  width: 35px;
}

.w-px-40 {
  width: 40px;
}

.w-px-45 {
  width: 45px;
}

.w-px-50 {
  width: 50px;
}

.w-px-75 {
  width: 75px;
}

.w-px-100 {
  max-width: 100px;
  width: auto;
}

.w-px-125 {
  width: 125px;
}

.w-px-150 {
  max-width: 150px;
  width: 100%;
}

.w-px-160 {
  max-width: 160px;
}

.w-px-175 {
  width: 175px;
}

.w-px-200 {
  max-width: 200px;
  width: auto;
}

.w-px-225 {
  width: 225px;
}

.w-px-250 {
  max-width: 250px;
  width: 100%;
}

.w-px-275 {
  width: 275px;
}

.w-px-290 {
  max-width: 290px;
  width: 100%;
}

.w-px-300 {
  max-width: 300px;
  width: 100%;
}

.w-px-325 {
  width: 325px;
}

.w-px-350 {
  width: 350px;
}

.w-px-375 {
  width: 375px;
}

.w-px-400 {
  max-width: 400px;
  width: 100%;
}

.w-px-425 {
  width: 425px;
}

.w-px-450 {
  width: 450px;
}

.w-px-475 {
  width: 475px;
}

.w-px-500 {
  max-width: 500px;
  width: 100%;
}

.w-px-md {
  max-width: 750px;
  width: 100%;
}

.w-px-minmax-m {
  max-width: 250px;
  min-width: 250px;
  width: 100%;
}

/* 
   Height（vh）
*/
.h-max-vh-50 {
  max-height: 50vh;
}

.h-max-px-200 {
  max-height: 200px;
}

.h-vh-100 {
  height: 100vh;
}

/* 
   Height（%）
*/
.h-5 {
  height: 5%;
}

.h-10 {
  height: 10%;
}

.h-15 {
  height: 15%;
}

.h-20 {
  height: 20%;
}

.h-25 {
  height: 25%;
}

.h-30 {
  height: 30%;
}

.h-35 {
  height: 35%;
}

.h-40 {
  height: 40%;
}

.h-45 {
  height: 45%;
}

.h-50 {
  height: 50%;
}

.h-100 {
  height: 100%;
}

/* 
   Height（px）
*/
.h-min-px-300 {
  min-height: 300px;
}

.h-px-5 {
  height: 5px;
}

.h-px-10 {
  height: 10px;
}

.h-px-15 {
  height: 15px;
}

.h-px-20 {
  height: 20px;
}

.h-px-25 {
  height: 25px;
}

.h-px-30 {
  height: 30px;
}

.h-px-35 {
  height: 35px;
}

.h-px-40 {
  height: 40px;
}

.h-px-45 {
  height: 45px;
}

.h-px-50 {
  height: 50px;
}

.h-px-75 {
  height: 75px;
}

.h-px-100 {
  height: 100px;
}

.h-px-125 {
  height: 125px;
}

.h-px-150 {
  height: 150px;
}

.h-px-175 {
  height: 175px;
}

.h-px-200 {
  height: 200px;
}

.h-px-225 {
  height: 225px;
}

.h-px-250 {
  height: 250px;
}

.h-px-275 {
  height: 275px;
}

.h-px-300 {
  height: 300px;
}

.h-px-325 {
  height: 325px;
}

.h-px-350 {
  height: 350px;
}

.h-px-375 {
  height: 375px;
}

.h-px-400 {
  height: 400px;
}

.h-px-425 {
  height: 425px;
}

.h-px-450 {
  height: 450px;
}

.h-px-475 {
  height: 475px;
}

.h-px-500 {
  height: 500px;
}

/* 
   Margin（全方向）
*/
.m-rem-1 {
  margin: 1rem;
}

.m-5 {
  margin: 5px;
}

.m-10 {
  margin: 10px;
}

.m-15 {
  margin: 15px;
}

.m-20 {
  margin: 20px;
}

.m-25 {
  margin: 25px;
}

.m-30 {
  margin: 30px;
}

.m-35 {
  margin: 35px;
}

.m-40 {
  margin: 40px;
}

.m-45 {
  margin: 45px;
}

.m-50 {
  margin: 50px;
}

/* 
   Margin（水平・垂直）
*/
.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.my-rem-1 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.mx-5 {
  margin-right: 5px;
  margin-left: 5px;
}

.mx-10 {
  margin-right: 10px;
  margin-left: 10px;
}

.mx-15 {
  margin-right: 15px;
  margin-left: 15px;
}

.mx-20 {
  margin-right: 20px;
  margin-left: 20px;
}

.mx-25 {
  margin-right: 25px;
  margin-left: 25px;
}

.mx-30 {
  margin-right: 30px;
  margin-left: 30px;
}

.mx-35 {
  margin-right: 35px;
  margin-left: 35px;
}

.mx-40 {
  margin-right: 40px;
  margin-left: 40px;
}

.mx-45 {
  margin-right: 45px;
  margin-left: 45px;
}

.mx-50 {
  margin-right: 50px;
  margin-left: 50px;
}

.my-5 {
  margin-top: 5px;
  margin-bottom: 5px;
}

.my-10 {
  margin-top: 10px;
  margin-bottom: 10px;
}

.my-15 {
  margin-top: 15px;
  margin-bottom: 15px;
}

.my-20 {
  margin-top: 20px;
  margin-bottom: 20px;
}

.my-25 {
  margin-top: 25px;
  margin-bottom: 25px;
}

.my-30 {
  margin-top: 30px;
  margin-bottom: 30px;
}

.my-35 {
  margin-top: 35px;
  margin-bottom: 35px;
}

.my-40 {
  margin-top: 40px;
  margin-bottom: 40px;
}

.my-45 {
  margin-top: 45px;
  margin-bottom: 45px;
}

.my-50 {
  margin-top: 50px;
  margin-bottom: 50px;
}

/* 
   Margin（個別方向）
*/
.mt-rem-1 {
  margin-top: 1rem;
}

.mt-n10 {
  margin-top: -10px;
}

.mt-5 {
  margin-top: 5px;
}

.mt-10 {
  margin-top: 10px;
}

.mt-15 {
  margin-top: 15px;
}

.mt-20 {
  margin-top: 20px;
}

.mt-25 {
  margin-top: 25px;
}

.mt-30 {
  margin-top: 30px;
}

.mt-35 {
  margin-top: 35px;
}

.mt-40 {
  margin-top: 40px;
}

.mt-45 {
  margin-top: 45px;
}

.mt-50 {
  margin-top: 50px;
}

.mt-60 {
  margin-top: 60px;
}

.mr-5 {
  margin-right: 5px;
}

.mr-10 {
  margin-right: 10px;
}

.mr-15 {
  margin-right: 15px;
}

.mr-20 {
  margin-right: 20px;
}

.mr-25 {
  margin-right: 25px;
}

.mr-30 {
  margin-right: 30px;
}

.mr-35 {
  margin-right: 35px;
}

.mr-40 {
  margin-right: 40px;
}

.mr-45 {
  margin-right: 45px;
}

.mr-50 {
  margin-right: 50px;
}

.mb-rem-mm {
  margin-bottom: 0.6rem;
}

.mb-rem-mm {
  margin-bottom: 0.6rem;
}

.mb-rem-lg {
  margin-bottom: 2rem;
}

.mb-5 {
  margin-bottom: 5px;
}

.mb-10 {
  margin-bottom: 10px;
}

.mb-15 {
  margin-bottom: 15px;
}

.mb-20 {
  margin-bottom: 20px;
}

.mb-25 {
  margin-bottom: 25px;
}

.mb-30 {
  margin-bottom: 30px;
}

.mb-35 {
  margin-bottom: 35px;
}

.mb-40 {
  margin-bottom: 40px;
}

.mb-45 {
  margin-bottom: 45px;
}

.mb-50 {
  margin-bottom: 50px;
}

.mb-100 {
  margin-bottom: 100px;
}

.mb-none {
  margin-bottom: 0px !important;
}

.ml-5 {
  margin-left: 5px;
}

.ml-10 {
  margin-left: 10px;
}

.ml-15 {
  margin-left: 15px;
}

.ml-20 {
  margin-left: 20px;
}

.ml-25 {
  margin-left: 25px;
}

.ml-30 {
  margin-left: 30px;
}

.ml-35 {
  margin-left: 35px;
}

.ml-40 {
  margin-left: 40px;
}

.ml-45 {
  margin-left: 45px;
}

.ml-50 {
  margin-left: 50px;
}

/*.ml-100 {*/
/*  margin-left: 100px;*/
/*}*/

.myx-0auto {
  margin: 0 auto;
}

/* 
   Padding（全方向）
*/
.p-rem-3 {
  padding: 3rem;
}

.p-5 {
  padding: 5px;
}

.p-10 {
  padding: 10px;
}

.p-15 {
  padding: 15px;
}

.p-20 {
  padding: 20px;
}

.p-25 {
  padding: 25px;
}

.p-30 {
  padding: 30px;
}

.p-35 {
  padding: 35px;
}

.p-40 {
  padding: 40px;
}

.p-45 {
  padding: 45px;
}

.p-50 {
  padding: 50px;
}

.p-100 {
  padding: 100px;
}

.p-rem-1 {
  padding: 1rem;
}

.p-rem-2 {
  padding: 2rem;
}

/* 
   Padding（水平・垂直）
*/
.px-5 {
  padding-right: 5px;
  padding-left: 5px;
}

.px-10 {
  padding-right: 10px;
  padding-left: 10px;
}

.px-15 {
  padding-right: 15px;
  padding-left: 15px;
}

.px-20 {
  padding-right: 20px;
  padding-left: 20px;
}

.px-25 {
  padding-right: 25px;
  padding-left: 25px;
}

.px-30 {
  padding-right: 30px;
  padding-left: 30px;
}

.px-35 {
  padding-right: 35px;
  padding-left: 35px;
}

.px-40 {
  padding-right: 40px;
  padding-left: 40px;
}

.px-45 {
  padding-right: 45px;
  padding-left: 45px;
}

.px-50 {
  padding-right: 50px;
  padding-left: 50px;
}

.px-rem-1 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.py-5 {
  padding-top: 5px;
  padding-bottom: 5px;
}

.py-10 {
  padding-top: 10px;
  padding-bottom: 10px;
}

.py-15 {
  padding-top: 15px;
  padding-bottom: 15px;
}

.py-20 {
  padding-top: 20px;
  padding-bottom: 20px;
}

.py-25 {
  padding-top: 25px;
  padding-bottom: 25px;
}

.py-30 {
  padding-top: 30px;
  padding-bottom: 30px;
}

.py-35 {
  padding-top: 35px;
  padding-bottom: 35px;
}

.py-40 {
  padding-top: 40px;
  padding-bottom: 40px;
}

.py-45 {
  padding-top: 45px;
  padding-bottom: 45px;
}

.py-50 {
  padding-top: 50px;
  padding-bottom: 50px;
}

/* 
   Padding（個別方向）
*/
.pt-5 {
  padding-top: 5px;
}

.pt-10 {
  padding-top: 10px;
}

.pt-15 {
  padding-top: 15px;
}

.pt-20 {
  padding-top: 20px;
}

.pt-25 {
  padding-top: 25px;
}

.pt-30 {
  padding-top: 30px;
}

.pt-35 {
  padding-top: 35px;
}

.pt-40 {
  padding-top: 40px;
}

.pt-45 {
  padding-top: 45px;
}

.pt-50 {
  padding-top: 50px;
}

.pr-5 {
  padding-right: 5px;
}

.pr-10 {
  padding-right: 10px;
}

.pr-15 {
  padding-right: 15px;
}

.pr-20 {
  padding-right: 20px;
}

.pr-25 {
  padding-right: 25px;
}

.pr-30 {
  padding-right: 30px;
}

.pr-35 {
  padding-right: 35px;
}

.pr-40 {
  padding-right: 40px;
}

.pr-45 {
  padding-right: 45px;
}

.pr-50 {
  padding-right: 50px;
}

.pb-5 {
  padding-bottom: 5px;
}

.pb-10 {
  padding-bottom: 10px;
}

.pb-15 {
  padding-bottom: 15px;
}

.pb-20 {
  padding-bottom: 20px;
}

.pb-25 {
  padding-bottom: 25px;
}

.pb-30 {
  padding-bottom: 30px;
}

.pb-35 {
  padding-bottom: 35px;
}

.pb-40 {
  padding-bottom: 40px;
}

.pb-45 {
  padding-bottom: 45px;
}

.pb-50 {
  padding-bottom: 50px;
}

.pl-none {
  padding-left: 0px!important;
}

.pl-5 {
  padding-left: 5px;
}

.pl-10 {
  padding-left: 10px;
}

.pl-15 {
  padding-left: 15px;
}

.pl-20 {
  padding-left: 20px;
}

.pl-25 {
  padding-left: 25px;
}

.pl-30 {
  padding-left: 30px;
}

.pl-35 {
  padding-left: 35px;
}

.pl-40 {
  padding-left: 40px;
}

.pl-45 {
  padding-left: 45px;
}

.pl-50 {
  padding-left: 50px;
}

/* 
   Background Color
*/
.bg-color-primary {
  background-color: var(--primary-color);
}

.bg-color-secondary {
  background-color: var(--secondary-color);
}

.bg-color-tertiary {
  background-color: var(--tertiary-color);
}

.bg-color-highlight {
  background-color: var(--bg-error);
}

.bg-color-white {
  background-color: var(--bright-color);
}

/* 
   Text Color
*/
.color-primary {
  color: var(--primary-color);
}

.color-secondary {
  color: var(--secondary-color);
}

.color-warning {
  color: var(--text-color-warning);
}

.color-white {
  color: var(--bright-color);
}

/* 
   Typography
*/
.white-preline {
  white-space:pre-line;
}

.word-breakword {
  word-wrap: break-word;
}

.bold {
  font-weight: bold;
}

.font-xs {
  font-size: 0.75rem;
}

.font-sm {
  font-size: 0.875rem;
}

.font-md {
  font-size: 1rem;
}

.font-lg {
  font-size: 1.125rem;
}

.font-xl {
  font-size: 1.25rem;
}

.font-ss-sm {
  font-size: clamp(0.75rem, 3vw, 0.875rem);
}

.font-sm-mm {
  font-size: clamp(0.875rem, 3vw, 1rem);
}

.font-sm-xl {
  font-size: clamp(0.875rem, 3vw, 1.25rem);
}

.family-inherit {
  font-family:inherit;
}

/* 
   Text Align
*/
.text-start {
  text-align: start;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-end {
  text-align: end;
}

/* 
   その他
*/
.list-type-none {
  list-style-type: none;
}

.pointer {
  cursor: pointer;
}

.scroll-y {
  overflow-y: scroll;
}

.overflow-y-auto {
  overflow-y: auto;
}

.box-shadow {
  box-shadow: 0 4px 6px rgba(0 0 0 / 43%);
}

.box-border {
  box-sizing: border-box;
}